## pgxnclient 1.0.3

=== Makefile ===
# pgxnclient Makefile
#
# Copyright (C) 2011 Daniele Varrazzo
#
# This file is part of the PGXN client

.PHONY: sdist upload docs

PYTHON := python$(PYTHON_VERSION)
PYTHON_VERSION ?= $(shell $(PYTHON) -c 'import sys; print ("%d.%d" % sys.version_info[:2])')

build:
	$(PYTHON) setup.py build

check:
	$(PYTHON) setup.py test

sdist:
	$(PYTHON) setup.py sdist --formats=gztar

upload:
	$(PYTHON) setup.py sdist --formats=gztar upload

docs:
	$(MAKE) -C docs

clean:
	rm -rf build pgxnclient.egg-info
	rm -rf simplejson-*.egg mock-*.egg unittest2-*.egg
	$(MAKE) -C docs $@

=== docs/Makefile ===
# PGXN Client -- documentation makefile
#
# Use 'make env', then 'make html' to build the HTML documentation
#
# Copyright (C) 2011 Daniele Varrazzo

PYTHON := python$(PYTHON_VERSION)
PYTHON_VERSION ?= $(shell $(PYTHON) -c 'import sys; print ("%d.%d" % sys.version_info[:2])')
BUILD_DIR = $(shell pwd)/build/lib.$(PYTHON_VERSION)
ENV_DIR = $(shell pwd)/env/py-$(PYTHON_VERSION)
ENV_BIN = $(ENV_DIR)/bin
ENV_LIB = $(ENV_DIR)/lib
EASY_INSTALL = PYTHONPATH=$(ENV_LIB) $(ENV_BIN)/easy_install-$(PYTHON_VERSION) -d $(ENV_LIB) -s $(ENV_BIN)
EZ_SETUP = $(ENV_BIN)/ez_setup.py

SPHINXOPTS    =
SPHINXBUILD   = $(ENV_BIN)/sphinx-build
PAPER         =
BUILDDIR      = .

.PHONY: env clean html

default: html

html:
	PYTHONPATH=$(ENV_LIB) $(SPHINXBUILD) -b html $(ALLSPHINXOPTS) \
		. $(BUILDDIR)/html

# The environment is currently required to build the documentation.
# It is not clean by 'make clean'

env: easy_install
	mkdir -p $(ENV_BIN)
	mkdir -p $(ENV_LIB)
	$(EASY_INSTALL) docutils
	$(EASY_INSTALL) sphinx

easy_install: ez_setup
	PYTHONPATH=$(ENV_LIB) $(PYTHON) $(EZ_SETUP) -d $(ENV_LIB) -s $(ENV_BIN) setuptools

ez_setup:
	mkdir -p $(ENV_BIN)
	mkdir -p $(ENV_LIB)
	wget -O $(EZ_SETUP) http://peak.telecommunity.com/dist/ez_setup.py

clean:
	$(RM) -r html

=== debian/changelog ===
pgxnclient (1.0.3-1) unstable; urgency=low

  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Tue, 22 May 2012 12:11:53 +0200

pgxnclient (1.0.2-2) unstable; urgency=low

  * Add watch file.
  * Add dependency on python-pkg-resources, spotted by Jakub Wilk.
    Closes: #672904.
  * Add build-dependency on python-mock so we don't download it at build time.

 -- Christoph Berg <myon@debian.org>  Thu, 05 Apr 2012 13:56:11 +0200

pgxnclient (1.0.2-1) unstable; urgency=low

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Wed, 04 Apr 2012 21:43:55 +0200

=== debian/control ===
Source: pgxnclient
Section: database
Priority: extra
Maintainer: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 8), python-all, python-mock, python-setuptools
Standards-Version: 3.9.3
Homepage: http://pgxnclient.projects.postgresql.org/
Vcs-Git: git://git.debian.org/pkg-postgresql/pgxnclient.git
Vcs-Browser: http://anonscm.debian.org/git/pkg-postgresql/pgxnclient.git

Package: pgxnclient
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-pkg-resources
Description: command line client for the PostgreSQL Extension Network
 The PGXN Client is a command line tool designed to interact with the
 PostgreSQL Extension Network at http://pgxn.org/ allowing searching,
 compiling, installing, and removing extensions in PostgreSQL databases.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_install:
	python setup.py install --prefix=/usr --root=$(CURDIR)/debian/pgxnclient --install-layout=deb

%:
	dh $@ --with python2

=== debian/watch ===
version=3
http://pypi.python.org/pypi/pgxnclient/ http://pypi.python.org/packages/source/p/pgxnclient/pgxnclient-(.*).tar.gz.*

## pgxnclient 1.2.1

=== Makefile ===
EXTENSION=foobar
EXTVERSION=0.42.1

DATA = $(filter-out $(wildcard sql/*--*.sql),$(wildcard sql/*.sql))
DOCS = $(wildcard doc/*.txt)
TESTS = $(wildcard test/sql/*.sql)
REGRESS = $(patsubst test/sql/%.sql,%,$(TESTS))
REGRESS_OPTS = --inputdir=test
MODULES = $(patsubst %.c,%,$(wildcard src/*.c))

PG_CONFIG = pg_config

VERSION     = $(shell $(PG_CONFIG) --version | awk '{print $$2}')
PGVER_MAJOR = $(shell echo $(VERSION) | awk -F. '{ print ($$1 + 0) }')
PGVER_MINOR = $(shell echo $(VERSION) | awk -F. '{ print ($$2 + 0) }')

ifeq ($(PGVER_MAJOR), 9)
ifneq ($(PGVER_MINOR), 0)
all: sql/$(EXTENSION)--$(EXTVERSION).sql sql/$(EXTENSION)--unpackaged--$(EXTVERSION).sql

sql/$(EXTENSION)--$(EXTVERSION).sql: sql/$(EXTENSION).sql
	cp $< $@

sql/$(EXTENSION)--unpackaged--$(EXTVERSION).sql: sql/$(EXTENSION)--unpackaged.sql
	cp $< $@

DATA = $(filter-out sql/$(EXTENSION)--unpackaged.sql,$(wildcard sql/*--*.sql)) sql/$(EXTENSION)--$(EXTVERSION).sql
EXTRA_CLEAN = sql/$(EXTENSION)--$(EXTVERSION).sql sql/$(EXTENSION)--unpackaged--$(EXTVERSION).sql
endif
endif

PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

=== docs/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Use 'make env', then 'make html' to build the HTML documentation
 #
-# Copyright (C) 2011 Daniele Varrazzo
+# Copyright (C) 2011-2012 Daniele Varrazzo
 
 PYTHON := python$(PYTHON_VERSION)
 PYTHON_VERSION ?= $(shell $(PYTHON) -c 'import sys; print ("%d.%d" % sys.version_info[:2])')

=== debian/changelog ===
pgxnclient (1.2.1-2) unstable; urgency=low

  * B-D on libpq-dev to make pg_config available. Spotted by Felix Geyer.
    Closes: #713054.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Jun 2013 10:40:28 +0200

pgxnclient (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * Add B-D python-simplejson, python-unittest2 for the testsuite (needed on
    squeeze).
  * Point Vcs-Browser at a real webpage instead of some repository.

 -- Christoph Berg <myon@debian.org>  Thu, 20 Jun 2013 12:25:53 +0200

pgxnclient (1.2-1) experimental; urgency=low

  * New upstream release.
  * Install AUTHORS file.
  * Point watch file directly at the download directory.

 -- Christoph Berg <myon@debian.org>  Sat, 06 Oct 2012 10:50:15 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: database
 Priority: extra
 Maintainer: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 8), python-all, python-mock, python-setuptools
+Build-Depends: debhelper (>= 8), python-all, python-mock, python-setuptools,
+ python-simplejson, python-unittest2, libpq-dev
 Standards-Version: 3.9.3
 Homepage: http://pgxnclient.projects.postgresql.org/
 Vcs-Git: git://git.debian.org/pkg-postgresql/pgxnclient.git
-Vcs-Browser: http://anonscm.debian.org/git/pkg-postgresql/pgxnclient.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/pgxnclient.git
 
 Package: pgxnclient
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

override_dh_install:
	python setup.py install --prefix=/usr --root=$(CURDIR)/debian/pgxnclient --install-layout=deb

override_dh_auto_clean:
	dh_auto_clean
	find pgxnclient -name '*.pyc' | xargs -r rm

%:
	dh $@ --with python2

=== debian/watch ===
version=3
#http://pypi.python.org/pypi/pgxnclient/ http://pypi.python.org/packages/source/p/pgxnclient/pgxnclient-(.*).tar.gz.*
http://pypi.python.org/packages/source/p/pgxnclient/pgxnclient-(.*).tar.gz.*

## pgxnclient 1.3

=== Makefile ===
# pgxnclient Makefile
#
# Copyright (C) 2011-2019 Daniele Varrazzo
#
# This file is part of the PGXN client

.PHONY: sdist upload docs

PYTHON := python$(PYTHON_VERSION)
PYTHON_VERSION ?= $(shell $(PYTHON) -c 'import sys; print ("%d.%d" % sys.version_info[:2])')

build:
	$(PYTHON) setup.py build

check:
	$(PYTHON) setup.py test

sdist:
	$(PYTHON) setup.py sdist --formats=gztar

upload:
	$(PYTHON) setup.py sdist --formats=gztar upload

docs:
	$(MAKE) -C docs

clean:
	rm -rf build pgxnclient.egg-info
	rm -rf .eggs
	$(MAKE) -C docs $@

=== docs/requirements.txt ===
Sphinx>=1.8,<1.9

=== debian/changelog ===
pgxnclient (1.3-1) unstable; urgency=medium

  * New upstream version with python3 support. (#937280)
  * watch: Switch to github releases, the pypi release is missing the
    tests/testdata directory.
  * Add python3-pytest{,-runner} build dependencies.
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Mon, 23 Sep 2019 10:04:20 +0200

pgxnclient (1.2.1-6) unstable; urgency=medium

  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 10 Oct 2018 10:13:43 +0200

pgxnclient (1.2.1-5) unstable; urgency=medium

  * Depend on ca-certificates, pgxn.org moved to https.
  * Update homepage.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 22 May 2018 12:44:55 +0200

pgxnclient (1.2.1-4) unstable; urgency=medium

  * Update Vcs URLs.
  * Compat 11.
  * Generate manpage using help2man.
  * Add test searching for the 'debversion' extension.

 -- Christoph Berg <myon@debian.org>  Sat, 19 May 2018 16:55:14 +0200

pgxnclient (1.2.1-3) unstable; urgency=medium

  * Set HOME to a temp dir for the testsuite. Closes: #759911.
  * Set team as maintainer.

 -- Christoph Berg <myon@debian.org>  Sun, 07 Sep 2014 16:11:16 +0200

=== debian/control ===
Source: pgxnclient
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends:
 debhelper (>= 11),
 dh-python,
 help2man,
 libpq-dev,
 python3-all,
 python3-mock,
 python3-pytest,
 python3-pytest-runner,
 python3-setuptools,
 python3-simplejson,
 python3-unittest2,
Standards-Version: 4.4.0
Homepage: https://pypi.org/project/pgxnclient/
Vcs-Git: https://salsa.debian.org/postgresql/pgxnclient.git
Vcs-Browser: https://salsa.debian.org/postgresql/pgxnclient

Package: pgxnclient
Architecture: all
Depends:
 ca-certificates,
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
Description: command line client for the PostgreSQL Extension Network
 The PGXN Client is a command line tool designed to interact with the
 PostgreSQL Extension Network at https://pgxn.org/ allowing searching,
 compiling, installing, and removing extensions in PostgreSQL databases.

=== debian/rules ===
#!/usr/bin/make -f

export PYTHON_VERSION=3

override_dh_auto_test:
	# HOME points to a non-existent directory on buildds, but the tests want it
	TMPDIR=$$(mktemp --tmpdir -d pgxnclient.test.XXXXXX); \
	trap "rm -rf $$TMPDIR" 0 2 3 15; \
	HOME=$$TMPDIR dh_auto_test

override_dh_install:
	python3 setup.py install --prefix=/usr --root=$(CURDIR)/debian/pgxnclient --install-layout=deb

override_dh_auto_clean:
	dh_auto_clean
	find pgxnclient -name '*.pyc' | xargs -r rm

override_dh_installman:
	PATH=$(CURDIR)/bin:$(PATH) \
	PYTHONPATH=$(CURDIR) \
	help2man --no-discard-stderr --no-info \
		--name "Interact with the PostgreSQL Extension Network" \
		--version-string=$(shell dpkg-parsechangelog -S Version) \
		pgxnclient > pgxnclient.1
	grep DESCRIPTION pgxnclient.1 # check manpage generation worked
	dh_installman

%:
	dh $@ --with python3

## pgxnclient 1.3.1

=== docs/Makefile ===
# PGXN Client -- documentation makefile
#
# Building docs requires virtualenv already installed in the system.
#
# Use'make html' to build the HTML documentation.
#
# Copyright (C) 2011-2019 Daniele Varrazzo

PYTHON := python
ENV_DIR = $(shell pwd)/env
ENV_BIN = $(ENV_DIR)/bin

SPHINXOPTS    =
SPHINXBUILD   = $(ENV_BIN)/sphinx-build
PAPER         =
BUILDDIR      = .

.PHONY: env clean html

default: html

html: env
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) \
		. $(BUILDDIR)/html

# The environment is currently required to build the documentation.
# It is not clean by 'make clean'
env:
	[ -d "$(ENV_DIR)" ] || ( \
		virtualenv -p "$(PYTHON)" "$(ENV_DIR)" \
		&& "$(ENV_BIN)/pip" install -r requirements.txt)

clean:
	$(RM) -r html

=== debian/changelog ===
pgxnclient (1.3.1-1) unstable; urgency=medium

  * New upstream version.
  * Disable build-time tests.

 -- Christoph Berg <myon@debian.org>  Wed, 02 Dec 2020 12:57:25 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,8 @@
  python3-setuptools,
  python3-simplejson,
  python3-unittest2,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://pypi.org/project/pgxnclient/
 Vcs-Git: https://salsa.debian.org/postgresql/pgxnclient.git
 Vcs-Browser: https://salsa.debian.org/postgresql/pgxnclient

=== debian/watch ===
version=3
#http://pypi.python.org/pypi/pgxnclient/ http://pypi.python.org/packages/source/p/pgxnclient/pgxnclient-(.*).tar.gz.*
#http://pypi.python.org/packages/source/p/pgxnclient/pgxnclient-(.*).tar.gz.*
https://github.com/pgxn/pgxnclient/releases .*/v(.*).tar.gz

## pgxnclient 1.3.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # pgxnclient Makefile
 #
-# Copyright (C) 2011-2019 Daniele Varrazzo
+# Copyright (C) 2011-2021 Daniele Varrazzo
 #
 # This file is part of the PGXN client

=== docs/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #
 # Use'make html' to build the HTML documentation.
 #
-# Copyright (C) 2011-2019 Daniele Varrazzo
+# Copyright (C) 2011-2021 Daniele Varrazzo
 
 PYTHON := python
 ENV_DIR = $(shell pwd)/env

=== debian/changelog ===
pgxnclient (1.3.2-2) unstable; urgency=medium

  * Fix github watchfile.

 -- Christoph Berg <myon@debian.org>  Fri, 26 Nov 2021 13:25:50 +0100

pgxnclient (1.3.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use versioned copyright format URI.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

  [ Christoph Berg ]
  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Sep 2021 14:28:58 +0200

pgxnclient (1.3.1-2) unstable; urgency=medium

  * Mark autopkgtest as needs-internet.

 -- Christoph Berg <myon@debian.org>  Mon, 06 Sep 2021 21:52:04 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 13),
  dh-python,
  help2man,
  libpq-dev,
@@ -15,9 +15,9 @@
  python3-setuptools,
  python3-simplejson,
  python3-unittest2,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Homepage: https://pypi.org/project/pgxnclient/
+Homepage: https://pgxn.github.io/pgxnclient/
 Vcs-Git: https://salsa.debian.org/postgresql/pgxnclient.git
 Vcs-Browser: https://salsa.debian.org/postgresql/pgxnclient

=== debian/tests/control ===
Depends: @
Tests: search
Restrictions: allow-stderr, needs-internet
